//go:build windows && (amd64 || arm64 || ppc64 || ppc64le || s390x || mips64 || mips64le)

package yu_hpsocket

import (
	"unsafe"
)

func server_http_callback_OnWSMessageHeader(Sender, ConnID uintptr, Final bool, Reserved, OperationCode byte, Mask uintptr, BodyLen int64) HR {
	var j_Mask = make([]byte, 4)
	*((*uintptr)(unsafe.Pointer(&j_Mask))) = Mask
	switch j_item := _server_on_get(Sender); j_item._type {
	case _server_type_HttpServer:
		t := j_item.t.(*HttpServer)
		return t.onWSMessageHeader(t, Sender, ConnID, Final, Reserved, OperationCode, j_Mask, BodyLen)
	}
	return HR_OK
}
